Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1534608

Description of problem:

Current search for packages within repositories does not allow one to search for all instances of packages in all repos. Specific repos

must be specified.

Version-Release number of selected component (if applicable):

All

How reproducible:

Always

Steps to Reproduce:

1.Content>Packages>Select a package

2.Click on the Repositories tab

3. Notice that the first two drop downs require you to specify a Lifecycle and Content View

Actual results:

As is.

Expected results:

User would like to be able to search in All Lifecycles and All Content Views.

Acceptance criteria:

- Lifecycle Environment drop down contains "All Lifecycle Environments"

- Content View drop down contains "All Content Views"

- Repository search honors the value in each drop down

Associated revisions

Revision d2717821 - 09/14/2018 01:16 PM - Kavita Gaikwad

Fixes #24018 - search all instances of packages in all repos

Revision dadea2d3 - 09/14/2018 01:16 PM - Kavita Gaikwad

Refs #24018 - search all instances of errata in all repositories

Revision a88a1ef0 - 09/14/2018 01:16 PM - Kavita Gaikwad

Refs #24018 - content_view column in content_type > repositories

History

#1 - 06/20/2018 03:32 PM - Andrew Kofink

- Subject changed from Searching for all instances of packages in all repos
 to Searching for all instances of packages in all repos

- Description updated

#2 - 06/20/2018 05:46 PM - Jonathon Turel

- translation missing: en.field_release set to 349

#3 - 07/09/2018 03:57 PM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

- Triaged set to No

#4 - 07/18/2018 06:33 PM - Jonathon Turel

- Target version changed from Katello 3.8.0 to Katello 3.9.0

#5 - 07/27/2018 11:57 AM - Andrew Kofink

Note: This should also work for other content types (i.e. errata)

#6 - 08/20/2018 07:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7641 added

#7 - 09/14/2018 02:01 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset katello|d27178212bb816394949dad8326d7f58853497f7.
